Subject: Re: About the "git merge" tee-shirt

From: Matthieu Moy <[email-masked]>
Date: Tue, 14 Apr 2015 18:27:19 +0200

Jeff King <[email-masked]> writes:

> On Mon, Apr 13, 2015 at 10:50:55PM +0200, Matthieu Moy wrote:
>
>> My second guess is that they represent directories.
>> But even then, I can't find which of the tee-shirt's circles represents
>> which directory, and the count doesn't match.
>> 
>> Does anybody have a better explanation? Or is it just a random drawing
>> to say "Git is bigger than it used to be"?
>
> I believe it is "gource"[1] output from 2005 and 2015, tweaked by a
> graphic designer to make it look nicer.

That would match my second guess. I guess the tweaks are what make it
hard to do the actual correspondance (there are 53 circles on the
drawing if I counted correctly, and 156 directory in today's Git for
example). The biggest dirs in number of files today are:

./builtin 99
./t/t5515 128
./t/t4013 144
./Documentation 221
./Documentation/RelNotes 242
. 378
./t 774

The directories at 4e7a2eccc21c902918 (Thu Dec 29 01:31:26 2005 -0800)
were:

./Documentation/technical 2
./mozilla-sha1 2
./arm 3
./ppc 3
./compat 4
./Documentation/howto 8
./templates 12
./debian 14
./t/t4100 14
./t 62
./Documentation 126
. 191

So, t/ would be a nice candidate for the big circle on the left hand
side (small in 2005, but biggest as of now), and ./ would be the one on
its right (used to be biggest, but no longer). Documentation/ is the one
at the top (with subdirs howto/ and technical/ in 2005, and the new
RelNotes/ today). I'm not sure where builtin/ is, it was probably
tweaked too much (it's supposed to be rather big in 2015 and inexistant
in 2005, without subdirs).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/